<div style="margin-top: 20px;">
    <h5>
        <span>Registrasi Sales</span>
    </h5>
    <p-tabView>
        <p-tabPanel header="STNK dan BPKB Jadi">
            <div style="margin-top: 20px;">
                <div class="fieldset-legend">
                    <div class="row maximum-width-p-list">
                        <p-dataList 
                            [value]="customVdrs"
                            [editable]="true" 
                            [rows]="itemsPerPage"
                            [paginator]="true"
                            [pageLinks]="5"
                            [rowsPerPageOptions]="[10,15,20]"
                            [totalRecords]="totalItems"
                            [responsive]="true"
                            [lazy]="true"
                            dataKey="idRequirement"
                            expandableRows="false"
                            (onLazyLoad)="loadDataLazy($event)"
                        >
                            <p-header>
                                <jhi-alert></jhi-alert>
                                <!-- <div class="col-md-1 offset-md-11">
                                    <button pButton type="button"
                                        icon="fa-plus"
                                        class="ui-button-primary btn-sm"
                                        [routerLink]="['../prospect-person-new']">
                                    </button>
                                </div> -->
                                <div>
                                    <form name="searchForm" class="form-inline">
                                        <div class="input-group w-100 mt-3">
                                            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                                name="currentSearch" placeholder="Cari VSO ">
                                            <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                                <span class="fa fa-search"></span>
                                            </button>
                                            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                                <span class="fa fa-trash-o"></span>
                                            </button>
                                        </div>
                                    </form>
                                </div>
                            </p-header>
                            <ng-template let-rowData pTemplate="item" >
                                <div>
                                <!-- *ngIf="rowData.currentStatus != 13 || rowData.currentStatus != 17 || rowData.currentStatus != 88"> -->
                                    <div class="ui-g ui-fluid border-item" *ngIf="(rowData.BackNotice == null || rowData.BackSTNK == null || rowData.BackPlat == null || rowData.bpkb == null)">
                                        <div class="ui-g-6 ui-md-6">
                                            <div class="ui-g">
                                                 <div class="pull-left">
                                                    <div class="ui-g-12 ui-sm-12" *ngIf="rowData.personOwner">
                                                        <div class="ui-g-12 ui-sm-12" *ngIf="rowData.personOwner.lastName != null">Nama STNK : {{rowData.personOwner.firstName}} {{rowData.personOwner.lastName}}</div>
                                                        <div class="ui-g-12 ui-sm-12" *ngIf="rowData.personOwner.lastName == null">Nama STNK : {{rowData.personOwner.firstName}}</div>
                                                        <br>
                                                        <div class="ui-g-12 ui-sm-12"><span>Pembelian   : {{rowData.productName}}</span></div>
                                                        <div class="ui-g-12 ui-sm-12"><span>Korsal  : {{rowData.korsalName}}</span></div>
                                                    </div>
                                                    <div class="ui-g-12 ui-sm-12" *ngIf="rowData.organizationOwner">
                                                        <div class="ui-g-12 ui-sm-12" >Nama STNK : {{rowData.organizationOwner.name}}</div>
                                                        <br>
                                                        <div class="ui-g-12 ui-sm-12"><span>Pembelian   : {{rowData.productName}}</span></div>
                                                        <div class="ui-g-12 ui-sm-12"><span>Korsal  : {{rowData.korsalName}}</span></div>
                                                    </div>
                                                 </div>  
                                                    <!-- <div class="ui-g-12 ui-sm-12" *ngIf="!rowData.personOwner">
                                                            Nama STNK : {{rowData.organizationOwner.name}}
                                                    </div> -->
                                                <!-- <div class="ui-g-12 ui-sm-12">Pembelian : {{rowData.productName}} korsal {{rowData.korsalName}}</div> -->
                                               <!-- <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.status'|translate}}   :  {{getDescription(rowData.currentStatus)}}</div> -->
                                            </div>
                                        </div>
                                        <div class="ui-g-6 ui-md-6" style="text-align:right">
                                            <div class="ui-g">
                                                <!-- <div class="ui-g-12 ui-sm-12"> {{rowData.salesUnitRequirement.dateCreate | date:'dd-MMM-yyyy' }} </div> -->
                                                <div class="ui-g-12 ui-sm-12">
                                                    <button pButton type="submit"
                                                            [routerLink]="['../registration-sales-bast/'+ rowData.idRequirement ]"
                                                            icon="fa-pencil"
                                                            class="flat-button"
                                                            pTooltip="Detail">
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </ng-template>
                    </p-dataList>
                    </div>
                </div>
            </div>
        </p-tabPanel>
        <p-tabPanel header="BAST">
                <jhi-vehicle-document-requirement-sales-bast></jhi-vehicle-document-requirement-sales-bast>
        </p-tabPanel>
    </p-tabView>      

<div style="margin-top: 10px;"></div>
</div>
<p-confirmDialog></p-confirmDialog>

